searchData={"items":[{"type":"module","title":"Kvasir.Logger","doc":"Logger backend for Kvasir to send the log messages to a syslog server.\nThis backend is creating an UDP client to send the syslog messages as\na client.","ref":"Kvasir.Logger.html"},{"type":"module","title":"Kvasir.Syslog","doc":"Syslog structure for storing the message.","ref":"Kvasir.Syslog.html"},{"type":"function","title":"Kvasir.Syslog.add_structured_data/3","doc":"Add structured data for a given Syslog struct. It's indeed setting the new\nvalue inside of the structured data and if that value exists it's replaced.","ref":"Kvasir.Syslog.html#add_structured_data/3"},{"type":"type","title":"Kvasir.Syslog.facility/0","doc":"The facility is one of the filters syslog uses to know how to filter\nthe logs received in a fast and easy way. The facility is regarding\nthe kind of service that is generating the log, i.e. user, mail, or ftp.","ref":"Kvasir.Syslog.html#t:facility/0"},{"type":"function","title":"Kvasir.Syslog.get_facility/1","doc":"Get the number of the facility given the atom (see `facility/0`).","ref":"Kvasir.Syslog.html#get_facility/1"},{"type":"function","title":"Kvasir.Syslog.get_prival/1","doc":"Get the PRIVAL, the value we can see in the log messages as a number.\nIt's the combination between the facility and severity.","ref":"Kvasir.Syslog.html#get_prival/1"},{"type":"function","title":"Kvasir.Syslog.get_severity/1","doc":"","ref":"Kvasir.Syslog.html#get_severity/1"},{"type":"function","title":"Kvasir.Syslog.new/1","doc":"Create a new Syslog struct.","ref":"Kvasir.Syslog.html#new/1"},{"type":"function","title":"Kvasir.Syslog.set_facility/2","doc":"Set the facility for the giving Syslog structure. You can use both,\nnumbers between 0 and 23 or an valid atom (see `facility/0`).","ref":"Kvasir.Syslog.html#set_facility/2"},{"type":"function","title":"Kvasir.Syslog.set_severity/2","doc":"Set the severity for the given Syslog struct. You can use both\na number between 0 and 7 or an atom (see `severity/0`).","ref":"Kvasir.Syslog.html#set_severity/2"},{"type":"type","title":"Kvasir.Syslog.severity/0","doc":"Severity is the level of importance for the log and another kind of filter\nwe could apply to the logs. We could indicate emergency, critical, warning,\nor debug.","ref":"Kvasir.Syslog.html#t:severity/0"},{"type":"type","title":"Kvasir.Syslog.t/0","doc":"The information about the log generated you can check `Kvasir.Syslog.Encode`\nand `Kvasir.Syslog.Decoder` to know how it's encoded and decoded from the\nstring format.\n\nThe fields included are:\n\n- `rfc` indicating the kind of RFC the log is following, we have mainly two\n  RFC to choose: RFC3164 and RFC5424.\n- `facility` you can see the `facility/0` type.\n- `severity` you can see the `severity/0` type.\n- `version` is the version and it should be a number greater than 0.\n- `hostname` is the hostname where the log is generated.\n- `ip_address` is the IP address, it could be IPv4 or IPv6.\n- `app_name` is the name of the application that generated the log.\n- `process_id` is the PID of the OS process that generated the log.\n- `message_id` is the ID for the message generated.\n- `timestamp` is the date and time about when the log was generated.\n- `structured_data` is a set of structured data shared instead or in addition\n  to the message.\n- `message` the log message generated.","ref":"Kvasir.Syslog.html#t:t/0"},{"type":"module","title":"Kvasir.Syslog.Client","doc":"Creates a syslog client. It requires a port from where we are going\nto send the message to the syslog server. It could be useful to create\na pool of clients to send the syslog messages.","ref":"Kvasir.Syslog.Client.html"},{"type":"function","title":"Kvasir.Syslog.Client.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Kvasir.Syslog.Client.html#child_spec/1"},{"type":"function","title":"Kvasir.Syslog.Client.log/2","doc":"","ref":"Kvasir.Syslog.Client.html#log/2"},{"type":"function","title":"Kvasir.Syslog.Client.start_link/1","doc":"","ref":"Kvasir.Syslog.Client.html#start_link/1"},{"type":"function","title":"Kvasir.Syslog.Client.stop/1","doc":"","ref":"Kvasir.Syslog.Client.html#stop/1"},{"type":"module","title":"Kvasir.Syslog.Decoder","doc":"The decoder is a consumer from the server, it's getting each string from\nthe server and providing its decoded form as a producer.","ref":"Kvasir.Syslog.Decoder.html"},{"type":"function","title":"Kvasir.Syslog.Decoder.start_link/1","doc":"","ref":"Kvasir.Syslog.Decoder.html#start_link/1"},{"type":"module","title":"Kvasir.Syslog.Encode","doc":"Encode a syslog structure (see `Kvasir.Syslog`) as string.\nIt uses the `String.Chars` protocol to implement `to_string/1`\nfunction and let us convert the structure into a string.","ref":"Kvasir.Syslog.Encode.html"},{"type":"module","title":"Kvasir.Syslog.Parser","doc":"Parse the syslog message and encode it as a syslog structure.","ref":"Kvasir.Syslog.Parser.html"},{"type":"function","title":"Kvasir.Syslog.Parser.parse/1","doc":"Parse the text message as a Syslog struct or returns a parser error.\nThe function tries to parse first for RFC5424 and if that's failing\nthen it's trying to parse RFC3164.","ref":"Kvasir.Syslog.Parser.html#parse/1"},{"type":"function","title":"Kvasir.Syslog.Parser.parse_rfc3164/1","doc":"Parse the text message based on the RFC3164 and if that's failing it's\nreturning an error.","ref":"Kvasir.Syslog.Parser.html#parse_rfc3164/1"},{"type":"function","title":"Kvasir.Syslog.Parser.parse_rfc5424/1","doc":"Parse the text message based on the RFC5424 and if that's failing it's\nreturning an error.","ref":"Kvasir.Syslog.Parser.html#parse_rfc5424/1"},{"type":"module","title":"Kvasir.Syslog.Server","doc":"Creates an UDP server for listening for syslog messages.\nThe default port for listening for new incoming messages is 5544.\nSee `start_link/1` for checking the options you can use.","ref":"Kvasir.Syslog.Server.html"},{"type":"function","title":"Kvasir.Syslog.Server.get_port/1","doc":"Get the port where the syslog server is listening.","ref":"Kvasir.Syslog.Server.html#get_port/1"},{"type":"function","title":"Kvasir.Syslog.Server.start_link/1","doc":"Starts the syslog server. You can provide a keyword list of\noptions:\n\n- `port` to indicate the port where the server will start listening.","ref":"Kvasir.Syslog.Server.html#start_link/1"},{"type":"function","title":"Kvasir.Syslog.Server.stop/1","doc":"Stops the server. It's useful if we need starting a server out of a supervisor,\nor we need the server will be restarted inside of the supervisor.","ref":"Kvasir.Syslog.Server.html#stop/1"},{"type":"extras","title":"Kvasir","doc":"# Kvasir\n\n[![Build Status](https://github.com/altenwald/kvasir/actions/workflows/elixir.yml/badge.svg)](https://github.com/altenwald/kvasir/actions/workflows/elixir.yml)\n[![License: LGPL 2.1](https://img.shields.io/github/license/altenwald/kvasir.svg)](https://raw.githubusercontent.com/altenwald/kvasir/main/COPYING)\n[![Hex](https://img.shields.io/hexpm/v/kvasir_syslog.svg)](https://hex.pm/packages/kvasir_syslog)\n\nElixir Syslog server, client, and backend for Logger.\n\nKvasir's goal is to keep everything we could need regarding Syslog. If we need a client,\na server, or provide a backend for Logger.","ref":"readme.html"},{"type":"extras","title":"Installation - Kvasir","doc":"You can install Kvasir via Hex:\n\n```elixir\n{:kvasir_syslog, \"~> 1.0\"}\n```\n\nOr if you want to install the most recent (that could be still not uploaded to Hex):\n\n```elixir\n{:kvasir, github: \"altenwald/kvasir\"}\n```","ref":"readme.html#installation"}],"proglang":"elixir","producer":{"name":"ex_doc","version":"0.37.0"},"content_type":"text/markdown"}